<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:nestedScrollingEnabled="false"
    android:paddingTop="?attr/actionBarSize"
    tools:context=".ui.category.CategoryFragment">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:padding="@dimen/_16sdp">


        <androidx.cardview.widget.CardView
            android:id="@+id/card_poll"
            android:layout_width="@dimen/_140sdp"
            android:layout_height="@dimen/_80sdp"
            android:background="@color/grey">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:padding="@dimen/_5sdp"
                    android:text="@string/nav_text_poll"
                    android:textAppearance="@style/textStyleLarge"
                    android:textColor="@color/colorPrimary"
                    android:textSize="@dimen/_24ssp"
                    android:textStyle="italic" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@color/lighter_gray"
                    android:padding="@dimen/_5sdp"
                    android:text="@string/text_vote_now"
                    android:textAppearance="@style/textStyleSmall"
                    android:textColor="@color/colorPrimary" />
            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <TextView
            android:id="@+id/tv_suggested_topic"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/card_poll"
            android:layout_marginTop="@dimen/_8sdp"
            android:text="@string/suggested_topics"
            android:textColor="@color/colorPrimary"
            android:textAllCaps="true"
            android:textAppearance="@style/textStyleLarge" />

        <View
            android:id="@+id/view1"
            android:layout_width="@dimen/_25sdp"
            android:layout_height="@dimen/_2sdp"
            android:layout_below="@+id/tv_suggested_topic"
            android:layout_marginTop="@dimen/_5sdp"
            android:background="#E57373" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycle_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@+id/view1"
            android:layout_marginTop="@dimen/_8sdp"
            tools:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
            tools:listitem="@layout/category_row"
            tools:spanCount="3" />
    </RelativeLayout>

</ScrollView>